2009-05-25  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.9

2009-05-17  SZALAY Attila  <sasa@sasa.home>

	* VERSION: Bumped to 3.3.0.8.1

2009-05-07  Szalay Attila  <sasa@mochrul.balabit>

	* src/zorp/memtrace.h: Including glib.h which needed because of
	the changes in zorplib.h. (fixes: #nobug)

	* src/process.c, src/zorp/process.h (z_process_get_check_enable):
	Added void parameter statement. (fixes: #nobug)

	* src/zorp/misc.h: Added glib.h include statement needed because
	of the changes in zorplib.h. (fixes: #nobug)

2009-05-06  Czilly Gergely <mincer@balabit.hu>

	* src/zorp/zorplib.h: Moved the inclusion of zorplibconfig.h
	before the inclusion of glib.h so that enabling large file support
	can take full effect. (fixes: #14008)

	* configure.in: Enabled large file support. (fixes: #14008)

	* src/blob.c: Switched from gint to off_t for the purpose of
	storing large-file-related return values. (fixes: #14008)

2009-04-25  Czilly Gergely <mincer@balabit.hu>

	* configure.in: Made --enable-debug use -O0 because the default is
	not this. (fixes: #nobug)

	* src/process.c: Added access functions to toggle and get
	enabled/disabled state of deadlock checker. (fixes: #13315)

	* src/zorp/process.h: Added prototypes for access
	functions. (fixes: #13315)

2009-04-25  Laszlo Attila Toth <panther@balabit.hu>

	* src/process.c (z_process_perform_supervise): always call
	waitpid, which didn't happen in the last iteration due to the lazy
	evaluation of '&&' operator (fixes #13596)

2009-04-16  Simon Gabor <fules@balabit.hu>

	* configure.in: locating of ssl headers/libs improved (fixes:
	#18487)

	* src/blob.c: blob seek error fixed (fixes: #18480)

2009-04-04  Balazs Scheidler <bazsi@balabit.hu>

	* src/streamssl.c (z_stream_ssl_shutdown_method): handle
	  SSL_shutdown properly by setting the child stream in nonblocking
	  mode and giving SSL 1 second to actually finish the two-way
	  shutdown sequence (fixes: #18060)

2009-04-03  Szalay Attila <sasa@balabit.hu>

	* src/streamssl.c (z_stream_ssl_shutdown_method): Added the
	calling of child's shutdown method. (fixes: #18060)

2009-03-16  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.8

2009-03-03  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.7

2009-03-03  Laszlo Attila Toth <panther@balabit.hu>

	* src/thread.c (z_thread_stack_size_arg): log error to stderr
	instead of calling z_log because log system not yet initialized
	(fixes #16207)

	* src/thread.c (z_thread_stack_size_arg): if the requested stack
	size is larger then 256 kiB, set it to 256 kiB and log it as an
	error (fixes #16207)

2009-02-26  SZALAY Attila  <sasa@sasa.home>

	* src/streamgzip.c, src/stream.c: Fixed linxu compilation errors
	created by the windows compilation error fixes. (fixes: #nobug)

	* src/streamgzip.c
	(z_stream_gzip_write_callback,z_stream_gzip_write_method,z_stream_gzip_shutdown_method):
	Cast self->buffer_encode_out_p to gchar because we do some char
	arithmetic with it. (fixes: #nobug)

	* src/stream.c (z_stream_read_chunk, z_stream_write_chunk): Cast
	buf to gchar becouse we do some char arithmetic with it. (fixes:
	#nobug)

	* src/sockaddr.c (z_sockaddr_inet_new_hostname): Remove this
	function from windows build. (fixes: #nobug)

2008-12-02  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.6. (This version bump is needed because
	of an update release. The update release is needed becouse of the
	Windows GUI.)

2008-11-22  SZALAY Attila  <sasa@sasa.home>

	* Forward-ported patches from v3.1. (239-241,243-254)

2008-11-03  Balazs Scheidler <bazsi@balabit.hu>

	* configure.in: don't check the existence of openssl/ts.h (fixes:
	  #nobug)

2008-10-20  Balazs Scheidler <bazsi@balabit.hu>

	* src/sockaddr.c (z_sockaddr_inet_new_hostname): renamed from
	  z_sockaddr_inet_hostname_new, removed Solaris specific ifdefs,
	  added docstring (fixes: #nobug)

2008-10-19  Laszlo Attila Toth <panther@balabit.hu>

	* src/ssl.c (z_ssl_get_error_str): gets the last error. If there
	were others, a 'supressed %d messages' string is appended to the
	error msg (fixes #14644)

2008-10-18  Laszlo Attila Toth <panther@balabit.hu>

	* src/sockaddr.c, src/zorp/sockaddr.h: added
	z_sockaddr_inet_hostname_new(hostname, port) to create a
	SockAddrInet object by hostname and port. If the hostname can't be
	resolved, the result is a NULL pointer (fixes #nobug)

	* src/Makefile.am, src/zorp/Makefile.am: filename changes (fixes
	#14644)

	* src/misc.c, src/zorp/misc.h (g_time_val*): const parameters;
	added z_timeval_subtract with non-negative result (fixes #14644)

	* src/zorp/gurl.h: renamed to src/zorp/zurlparse.h g_url* renamed
	to z_url* (fixes #14644)

	* src/gurl.c: renamed to src/zurlparse.c g_url* renamed to z_url*
	(fixes #14644)

	* src/gurl.c, src/zorp/gurl.h: URL parser code from syslog-ng-pe
	v3.0 (fixes #14644)

	* src/Makefile.am, src/zorp/Makefile.am: added gurl.[ch] (fixes
	#14644)

2008-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* src/zorp/packetbuf.h, src/packetbuf.c: changed prototypes to use
	  "void *" instead of "guchar *" to avoid signedness warnings at
	  call sites

2008-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* src/socket.c: fixed gcc-4.2 generated warnings

	* src/log.c: -"-

	* src/stackdump.c: -"-

	* src/packetbuf.c: -"-

	* src/blob.c: -"-

	* src/misc.c, src/zorp/misc.h, src/zorp/log.h: -"-

2008-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* src/zorp/stream.h: changed read/write methods to void *, as that
	solves a large number of signedness warnings

	* src/stream*.c: changed stream read/write method prototypes to
	use void *

2008-10-18  SZALAY Attila  <sasa@sasa.home>

	* test/portrandom.c, tests/randtest.c, tests/randtest.h: Added
	randomized port allocation check functions. (fixes: #15718)

	* src/socket.c (z_do_ll_bind): Lowlevel implementation of source
	port randomization support. (fixes: #15718)

	* src/streamline.c (z_stream_line_get_internal): Made ZStreamLine
	count bytes received on line-oriented reads. (fixes: #8393)

	* src/zorp/zobject.h, src/cap.c, src/connect.c, src/crypt.c,
	src/error.c, src/io.c, src/listen.c, src/log.c, src/memtrace.c,
	src/misc.c, src/poll.c, src/process.c, src/random.c,
	src/registry.c, src/sockaddr.c, src/socket.c, src/socketsource.c,
	src/source.c, src/ssl.c, src/stackdump.c, src/stream.c,
	src/streambuf.c, src/streamfd.c, src/streamgzip.c,
	src/streamline.c, src/streamssl.c, src/thread.c, src/zobject.c,
	src/zorp/connect.h, src/zorp/listen.h, src/zorp/log.h,
	src/zorp/misc.h, src/zorp/poll.h, src/zorp/random.h,
	src/zorp/sockaddr.h, src/zorp/socket.h, src/zorp/socketsource.h,
	src/zorp/ssl.h, src/zorp/stackdump.h, src/zorp/stream.h,
	src/zorp/streambuf.h, src/zorp/streamgzip.h,
	src/zorp/streamline.h, src/zorp/thread.h, src/packetbuf.c,
	src/zorp/packetbuf.h, src/streamtee.c, src/blob.c,
	src/zorp/blob.h, src/streamblob.c, src/code_base64.c, src/code.c,
	src/code_cipher.c, src/code_gzip.c, src/zorp/code.h: Added and
	fixed Doxygen comments. (fixes: #nobug)


2008-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* src/streamline.c (z_stream_line_ctrl_method): added support for
	ZST_LINE_GET_NUL_NONFATAL (fixes; #13874)

2008-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* src/memtrace.c: only report memtrace summary once per second
	  instead of once per 1000 allocations (fixes: #nobug)

2008-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* configure.in: use pkg-config to detect openssl instead of the
	  handcrafted detection routine, fixes openssl detection if it is
	  installed in zwa install directory (fixes: #nobug)

2008-09-16  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.5

2008-08-28  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to version 3.3.0.4.1

	* Forward-ported patches from version 3.1 (238, 242)

2008-08-08  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.4

2008-07-21  SZALAY Attila  <sasa@sasa.home>

	* tests/test_base64.c, tests/test_codecipher.c,
	tests/test_codegzip.c: Added some include statement. (fixes:
	#nobug)

	* VERSION: Bumped to 3.3.0.3.1

2008-07-15  Szalay Attila  <sasa@mochrul.balabit>

	* Forward-ported patches from version 3.1 (227-237)

2008-07-14  Laszlo Attila Toth <panther@balabit.hu>

	* src/zorp/packetbuf.h: Added z_pkt_buf_{get,set}_c8 functions for
	gchar type and z_pkt_buf_{get,set}_c8s for gchar * types

2008-07-14  Szalay Attila <sasa@balabit.hu>

	* src/stream.c (z_stream_ctrl_method): Changed stream behaviour to
	call destroy notify if user data would be overwritten. (fixes:
	#12876)

2008-06-11  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.3

2008-06-11  Laszlo Attila Toth <panther@balabit.hu>

	* src/zorp/socket.h: added ZSF_TRANSPARENT socket flag (fixes
	#14029)

2008-03-26  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.2

2008-03-21  Szalay Attila  <sasa@mochrul.balabit>

	* tests/test_codegzip.c: Added stdlib include because it's needed
	for realloc. (fixes: #nobug)

2008-03-20  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to 3.3.0.1.3

2008-03-12  Szalay Attila <sasa@balabit.hu>

	* src/process.c (z_process_change_limits): Fixed a type in two
	message. (fixes: #13038)

	* src/process.c: Obsolated fd-limit-threshold and raised
	fd-limit-min to 256000. (fixes: #13038)

2008-03-05  Szalay Attila  <sasa@mochrul.balabit>

	* Forward-ported patches from version 3.1 (215-226)

2008-02-08  SZALAY Attila  <sasa@sasa.home>

	* tests/test_codegzip.c: Added stdio including to made it able to
	compile. (fixes: #nobug)

	* VERSION: Bumped to 3.3.0.1.2

2008-02-01  Szalay Attila  <sasa@mochrul.balabit>

	* tests/Makefile.am: Added test_base64 test_codegzip
	test_codecipher tests. (fixes: #nobug)

2008-01-31  Szalay Attila  <sasa@mochrul.balabit>

	* VERSION: Bumped to version 3.3.0.1.1

2008-01-24  Szalay Attila <sasa@balabit.hu>

	* src/code.c, src/code_base64.c, src/code_cipher.c,
	src/code_gzip.c, src/zorp/code.h, src/zorp/code_base64.h,
	src/zorp/code_cipher.h, src/zorp/code_gzip.h: Moved ZCode related
	file here to be able to use from zcv. (fixes: #12253)

	* src/io.c (z_fd_set_our_tos): Removed confusing message when
	stacking a proxy. (fixes: #12852)

	* src/io.c (z_fd_get_peer_tos): Do not try to set socket option in
	getsockopt failed. (fixes: #12852)

2007-10-18  Balazs Scheidler <bazsi@balabit.hu>

	* VERSION: bumped to 3.3.0.1

2007-09-29  SZALAY Attila  <sasa@sasa.home>

	* Forward-ported patches from version 3.1 (207-214)

2007-08-24  Pal Tamas <folti@balabit.hu>

        * winbuild/libzorpll.la: Added ersatz libtool la file help waf or
	other libtool using builder to link libzorpll-X.Xs.lib.

        * src/makefile.msc: - installs .la file into $(ROOT)\lib -
	        installs .pc file into $(ROOT)\lib\pkgconfig. (also used
	        by waf) - Added MAJORVESION variable to more easier
	        filename changes during version bumping.

        * winbuild/Makefile.am: Added winbuild/libzorpll.la to EXTRA_DIST

2007-07-09  Szalay Attila  <sasa@mochrul.balabit>

	* Bumped to version 3.3.0.0.1

2007-06-18  Szalay Attila  <sasa@mochrul.balabit>

	* Merged patches from version 3.1 from patch-194 to patch-206

2007-03-28  Pfeiffer Szilard  <coroner@balabit.hu>

	* VERSION: Initial version number change. (fixes: #nobug)
      
2007-02-22  Szalay Attila  <sasa@mochrul.balabit>

	* Forward ported patches (185-193) from 3.1. (fixes: #nobug)

2007-02-22  Krisztian Kovacs <hidden@balabit.hu>

	* src/connect.c (z_connector_set_tos): instead of simply storing
	the tos value in self we now also set the ToS value on the file
	descriptor (fixes: #10946)
	(z_connector_open_socket): as we are called from z_connector_new()
	it's not possible that (self->tos != -1), so there's no point in
	setting the ToS value on our brand new shiny fd (fixes: #10946)

	* src/zorp/connect.h (z_connector_set_tos): z_connector_set_tos()
	is not inlined anymore (fixes: #10946)

2007-01-24  Balazs Scheidler  <bazsi@bzorp.balabit>

	* src/poll.c: removed unneeded core.debug(0) messages

2006-12-18  Balazs Scheidler  <bazsi@bzorp.balabit>

	* forward-ported patches from 3.1 to sync with 3.1.5.4

2006-10-30  SZALAY Attila  <sasa@balabit.hu>

	* VERSION: Bumped to 3.2.0.1

2006-09-06  SZALAY Attila  <sasa@localhost>

	* tests/test_conns.c: Adapted testcase to the new connector API.

	* Bumped to version 3.2.0.0.2

2006-09-06  Balazs Scheidler <bazsi@balabit.hu>

	* src/connect.c (z_connector_source_destroy_cb): set user_data to
	NULL,
	(z_connector_start_internal): return gboolean to indicate success,
	return the local address through a pointer,
	(z_connector_start): -"-,
	(z_connector_start_in_context): -"-,
	(z_connector_start_block): -"-, merged win32 and unix
	implementation,
	(z_connector_set_destroy_notify): removed,
	(z_connector_new): added destroy notify argument, set default
	timeout to 30 seconds,

	* src/connect.c (z_connector_new): removed tos argument,

	* src/zorp/connect.h (z_connector_set_tos): new inline function to
	set the target ToS before connecting

	* src/io.c: removed error handling from tos query/set functions as
	it is never handled anyway

2006-08-29  SZALAY Attila  <sasa@localhost>

	* Initial log entry for 3.2

